## elisa 25.08.0

=== debian/changelog ===
elisa (25.08.0-0zneon+24.04+noble+release+build19) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 22:41:47 +0000

elisa (25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 12:30:17 +0000

elisa (25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 11:11:30 +0000

elisa (25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 10:26:30 +0000

elisa (25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 04:18:53 +0000

elisa (25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 11:03:36 +0000

elisa (24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 13:29:31 +0000

elisa (24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 14:40:53 +0000

elisa (24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 19:31:08 +0000

elisa (24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 18:27:47 +0000

elisa (24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 10:20:11 +0000

elisa (24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 21:01:34 +0000

elisa (24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 07:37:21 +0000

elisa (24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Jun 2024 09:56:24 +0000

elisa (24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 11:32:01 +0000

elisa (24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:01:16 +0000

elisa (24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 03:46:34 +0000

elisa (23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 14:43:01 +0000

elisa (23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 16:25:13 +0000

elisa (23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Nov 2023 11:07:35 +0000

elisa (23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:02:31 +0000

elisa (23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Sep 2023 00:42:12 +0000

elisa (23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 09:30:39 +0000

elisa (23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Jul 2023 11:20:31 +0000

elisa (23.04.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 21:56:22 +0000

elisa (23.04.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2023 15:32:18 +0000

elisa (22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 12:47:10 +0000

elisa (22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 17:10:14 +0000

elisa (22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 15:52:37 +0000

elisa (22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 11:56:23 +0000

elisa (22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 09:22:53 +0000

elisa (22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 09 Sep 2022 12:13:29 +0000

elisa (22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 09:23:57 +0000

elisa (22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 12:07:33 +0000

elisa (22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 20:36:52 +0000

elisa (22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 13:25:54 +0000

elisa (22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 12:40:24 +0000

elisa (21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Mar 2022 10:59:59 +0000

elisa (21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 11:01:44 +0000

elisa (21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 23:10:46 +0000

elisa (21.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Oct 2021 11:45:59 +0000

elisa (21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:30:11 +0000

elisa (21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Aug 2021.12.26:27 +0000

elisa (21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 11:46:41 +0000

elisa (21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 08:18:55 +0000

elisa (21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:49:24 +0000

elisa (21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:17:46 +0000

elisa (20.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Mar 2021 12:54:07 +0000

elisa (20.12.2-0neon) focal; urgency=medium



## elisa 25.08.1

=== debian/changelog ===
elisa (25.08.1-0zneon+24.04+noble+release+build21) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sun, 14 Sep 2025 11:12:19 +0000

elisa (25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 08:56:04 +0000

## elisa 25.08.1+p24.04+vstable+git20250917.0157

=== debian/changelog ===
elisa (25.08.1+p24.04+vstable+git20250917.0157-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 17 Sep 2025 01:57:10 +0000

## elisa 25.08.1+p24.04+vstable+git20251001.0529

=== debian/changelog ===
elisa (25.08.1+p24.04+vstable+git20251001.0529-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 05:29:31 +0000

## elisa 25.08.2

=== debian/changelog ===
elisa (25.08.2-0zneon+24.04+noble+release+build22) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 09:11:20 +0000

elisa (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 03:44:40 +0000

## elisa 25.08.2+p24.04+vstable+git20251012.0123

=== debian/changelog ===
elisa (25.08.2+p24.04+vstable+git20251012.0123-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 12 Oct 2025 01:23:42 +0000

## elisa 25.08.2+p24.04+vstable+git20251019.0401

=== debian/changelog ===
elisa (25.08.2+p24.04+vstable+git20251019.0401-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 04:01:46 +0000

## elisa 25.12.0+p24.04+vunstable+git20260104.0020

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015 (c) Matthieu Gallien <matthieu_gallien@yahoo.fr>
#
# SPDX-License-Identifier: LGPL-3.0-or-later

cmake_minimum_required(VERSION 3.16)

# KDE Applications version, managed by release script.
set(RELEASE_SERVICE_VERSION_MAJOR "26")
set(RELEASE_SERVICE_VERSION_MINOR "03")
set(RELEASE_SERVICE_VERSION_MICRO "70")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(elisa
    VERSION ${RELEASE_SERVICE_VERSION}
    LANGUAGES CXX)

set(REQUIRED_KF_VERSION "6.9")
find_package(ECM ${REQUIRED_KF_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(FeatureSummary)
include(ECMAddAppIcon)
include(ECMAddTests)
include(ECMQtDeclareLoggingCategory)
include(ECMGenerateQmlTypes)
include(ECMAddAndroidApk)
include(ECMFindQmlModule)

set(REQUIRED_QT_VERSION "6.6.0")
find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED COMPONENTS
    Concurrent
    Core
    Gui
    Multimedia
    Network
    Qml
    Quick
    QuickControls2
    QuickTest
    Sql
    Svg
    Test
    Widgets
)

find_package(Qt6Core ${REQUIRED_QT_VERSION} CONFIG REQUIRED Private)



if (NOT WIN32 AND NOT ANDROID)
    find_package(Qt6DBus ${REQUIRED_QT_VERSION} CONFIG QUIET)
    set_package_properties(Qt6DBus PROPERTIES
        DESCRIPTION "Qt6 DBus is needed to provide MPris2 interface to allow remote control by the desktop workspace."
        TYPE OPTIONAL)
endif()

if (Qt6DBus_FOUND)
set(QtDBus_FOUND 1)
endif()

find_package(KF6I18n ${REQUIRED_KF_VERSION} CONFIG QUIET)
set_package_properties(KF6I18n PROPERTIES
    DESCRIPTION "KF text internationalization library."
    TYPE REQUIRED)

find_package(KF6CoreAddons ${REQUIRED_KF_VERSION} CONFIG QUIET)
set_package_properties(KF6CoreAddons PROPERTIES
    DESCRIPTION "Qt addon library with a collection of non-GUI utilities."
    TYPE REQUIRED)

find_package(KF6IconThemes ${REQUIRED_KF_VERSION} CONFIG QUIET)
set_package_properties(KF6IconThemes PROPERTIES
    DESCRIPTION "Support for icon themes."
    TYPE REQUIRED)

find_package(KF6FileMetaData ${REQUIRED_KF_VERSION} CONFIG QUIET)
set_package_properties(KF6FileMetaData PROPERTIES
    DESCRIPTION "Provides a simple library for extracting metadata."
    TYPE RECOMMENDED)

find_package(KF6XmlGui ${REQUIRED_KF_VERSION} CONFIG QUIET)
set_package_properties(KF6XmlGui PROPERTIES
    DESCRIPTION "Framework for managing menu and toolbar actions."
    TYPE RECOMMENDED)

find_package(KF6Config ${REQUIRED_KF_VERSION} CONFIG QUIET)
set_package_properties(KF6Config PROPERTIES
    DESCRIPTION "Persistent platform-independent application settings."
    TYPE REQUIRED)

find_package(KF6ColorScheme ${REQUIRED_KF_VERSION} CONFIG QUIET)
set_package_properties(KF6ColorScheme PROPERTIES
    DESCRIPTION "Allows changing the app's color scheme."
    TYPE REQUIRED)

find_package(KF6Codecs ${REQUIRED_KF_VERSION} CONFIG QUIET)
set_package_properties(KF6Codecs PROPERTIES
    DESCRIPTION "Allows probing lyrics text codec."
    TYPE REQUIRED)

find_package(KF6Crash ${REQUIRED_KF_VERSION} CONFIG QUIET)
set_package_properties(KF6Crash PROPERTIES
    DESCRIPTION "Graceful handling of application crashes."
    TYPE OPTIONAL)

if (NOT WIN32 AND NOT ANDROID)
    find_package(KF6DBusAddons ${REQUIRED_KF_VERSION} CONFIG QUIET)
    set_package_properties(KF6DBusAddons PROPERTIES
        DESCRIPTION "Convenience classes for D-Bus."
        TYPE OPTIONAL)
endif()

if (ANDROID)
    find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED COMPONENTS CorePrivate)
    find_package(KF6Kirigami ${REQUIRED_KF_VERSION} CONFIG QUIET)
    set_package_properties(KF6Kirigami PROPERTIES
        DESCRIPTION "Used to package icons on Android."
        TYPE REQUIRED)
else()
    find_package(KF6KIO ${REQUIRED_KF_VERSION} CONFIG QUIET)
    set_package_properties(KF6KIO PROPERTIES
        DESCRIPTION "File management libraries used for file browsing."
        TYPE REQUIRED)
    find_package(KF6QQC2DesktopStyle ${REQUIRED_KF_VERSION} CONFIG QUIET)
    set_package_properties(KF6QQC2DesktopStyle PROPERTIES
        DESCRIPTION "KDE QtQuick style for desktop"
        TYPE RUNTIME)
endif()

find_package(UPNPQT CONFIG QUIET)
set_package_properties(UPNPQT PROPERTIES
    DESCRIPTION "UPNP layer build with Qt. UPnP support is currently broken. You should probably avoid this dependency."
    URL "https://gitlab.com/homeautomationqt/upnp-player-qt"
    TYPE OPTIONAL)

if (UPNPQT_FOUND)
    message(WARNING "UPnP support is experimental and may not work.")
endif()

find_package(LIBVLC QUIET)
set_package_properties(LIBVLC PROPERTIES
    DESCRIPTION "libvlc allows to play music in Elisa (otherwise it will use QtMultimedia)"
    URL "https://www.videolan.org/vlc/libvlc.html"
    TYPE RECOMMENDED)

ecm_find_qmlmodule(org.kde.kirigami 2.20)
ecm_find_qmlmodule(org.kde.kirigamiaddons.formcard 1.0)

include(FeatureSummary)
include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMGenerateDBusServiceFile)
include(CMakePackageConfigHelpers)
include(ECMDeprecationSettings)

set(KFXmlGui_FOUND ${KF6XmlGui_FOUND})
set(KFCrash_FOUND ${KF6Crash_FOUND})
set(KFDBusAddons_FOUND ${KF6DBusAddons_FOUND})
set(KFKIO_FOUND ${KF6KIO_FOUND})
set(KFFileMetaData_FOUND ${KF6FileMetaData_FOUND})

configure_file(config-upnp-qt.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-upnp-qt.h)

ecm_setup_version(${RELEASE_SERVICE_VERSION}
    VARIABLE_PREFIX ELISA
    VERSION_HEADER elisa-version.h)

set(QML_IMPORT_PATH ${CMAKE_BINARY_DIR}/bin CACHE STRING "" FORCE)

ecm_set_disabled_deprecation_versions(
    QT 6.1.0
    KF 6.4
)


add_subdirectory(src)
add_subdirectory(icons)
if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

if (KF6DBusAddons_FOUND)
    ecm_generate_dbus_service_file(
        NAME org.kde.elisa
        EXECUTABLE ${KDE_INSTALL_FULL_BINDIR}/elisa
        DESTINATION ${KDE_INSTALL_DBUSSERVICEDIR}
    )
    set(ELISA_DBUSACTIVATABLE "DBusActivatable=true")
else()
    set(ELISA_DBUSACTIVATABLE)
endif()

configure_file(org.kde.elisa.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/org.kde.elisa.desktop @ONLY)
install(
    PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/org.kde.elisa.desktop
    DESTINATION ${KDE_INSTALL_APPDIR}
)

install(
    FILES org.kde.elisa.appdata.xml
    DESTINATION ${KDE_INSTALL_METAINFODIR}
)

ki18n_install(po)

install(FILES elisa.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

if (ANDROID)
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/android/version.gradle.in ${CMAKE_BINARY_DIR}/version.gradle)
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2016 (c) Matthieu Gallien <matthieu_gallien@yahoo.fr>
#
# SPDX-License-Identifier: LGPL-3.0-or-later

include_directories(${elisa_BINARY_DIR})

set(elisaLib_SOURCES
    colorschemepreviewimageprovider.cpp
    mediaplaylist.cpp
    mediaplaylistproxymodel.cpp
    progressindicator.cpp
    qmlforeigntypes.h
    databaseinterface.cpp
    datatypes.cpp
    musiclistenersmanager.cpp
    managemediaplayercontrol.cpp
    manageheaderbar.cpp
    manageaudioplayer.cpp
    trackslistener.cpp
    elisaapplication.cpp
    modeldataloader.cpp
    elisautils.cpp
    abstractfile/abstractfilelistener.cpp
    abstractfile/abstractfilelisting.cpp
    filescanner.cpp
    filewriter.cpp
    viewmanager.cpp
    powermanagementinterface.cpp
    file/filelistener.cpp
    file/localfilelisting.cpp
    models/datamodel.cpp
    models/abstractmediaproxymodel.cpp
    models/gridviewproxymodel.cpp
    models/trackmetadatamodel.cpp
    models/trackmetadataproxymodel.cpp
    models/editabletrackmetadatamodel.cpp
    models/trackcontextmetadatamodel.cpp
    models/viewsmodel.cpp
    models/viewsproxymodel.cpp
    models/lyricsmodel.cpp
    viewslistdata.cpp
    viewconfigurationdata.cpp
    localFileConfiguration/elisaconfigurationdialog.cpp
)

set(elisaLib_INCLUDEDIRS
    ${CMAKE_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/abstractfile
    ${CMAKE_CURRENT_SOURCE_DIR}/file
    ${CMAKE_CURRENT_SOURCE_DIR}/localFileConfiguration
    ${CMAKE_CURRENT_SOURCE_DIR}/models
)

ecm_qt_declare_logging_category(elisaLib_SOURCES
    HEADER "indexersManager.h"
    IDENTIFIER "orgKdeElisaIndexersManager"
    CATEGORY_NAME "org.kde.elisa.indexers.manager"
    DEFAULT_SEVERITY Info
    )

ecm_qt_declare_logging_category(elisaLib_SOURCES
    HEADER "databaseLogging.h"
    IDENTIFIER "orgKdeElisaDatabase"
    CATEGORY_NAME "org.kde.elisa.database"
    DEFAULT_SEVERITY Info
    )

ecm_qt_declare_logging_category(elisaLib_SOURCES
    HEADER "abstractfile/indexercommon.h"
    IDENTIFIER "orgKdeElisaIndexer"
    CATEGORY_NAME "org.kde.elisa.indexer"
    DEFAULT_SEVERITY Info
    )

ecm_qt_declare_logging_category(elisaLib_SOURCES
    HEADER "models/modelLogging.h"
    IDENTIFIER "orgKdeElisaModel"
    CATEGORY_NAME "org.kde.elisa.model"
    DEFAULT_SEVERITY Info
    )

ecm_qt_declare_logging_category(elisaLib_SOURCES
    HEADER "lyricsLogging.h"
    IDENTIFIER "orgKdeElisaLyrics"
    CATEGORY_NAME "org.kde.elisa.lyrics"
    DEFAULT_SEVERITY Info
    )

ecm_qt_declare_logging_category(elisaLib_SOURCES
    HEADER "playListLogging.h"
    IDENTIFIER "orgKdeElisaPlayList"
    CATEGORY_NAME "org.kde.elisa.playlist"
    DEFAULT_SEVERITY Info
    )

ecm_qt_declare_logging_category(elisaLib_SOURCES
    HEADER "viewsLogging.h"
    IDENTIFIER "orgKdeElisaViews"
    CATEGORY_NAME "org.kde.elisa.views"
    DEFAULT_SEVERITY Info
    )

ecm_qt_declare_logging_category(elisaLib_SOURCES
    HEADER "playerLogging.h"
    IDENTIFIER "orgKdeElisaPlayer"
    CATEGORY_NAME "org.kde.elisa.player"
    DEFAULT_SEVERITY Info
    )

ecm_qt_declare_logging_category(elisaLib_SOURCES
    HEADER "powerManagementLogging.h"
    IDENTIFIER "orgKdeElisaPowerManagement"
    CATEGORY_NAME "org.kde.elisa.powermanagement"
    DEFAULT_SEVERITY Info
    )

if (LIBVLC_FOUND)
    ecm_qt_declare_logging_category(elisaLib_SOURCES
        HEADER "vlcLogging.h"
        IDENTIFIER "orgKdeElisaPlayerVlc"
        CATEGORY_NAME "org.kde.elisa.player.vlc"
        DEFAULT_SEVERITY Info
        )

    set(elisaLib_SOURCES
        ${elisaLib_SOURCES}
        audiowrapper_libvlc.cpp
        )
else()
    ecm_qt_declare_logging_category(elisaLib_SOURCES
        HEADER "qtMultimediaLogging.h"
        IDENTIFIER "orgKdeElisaPlayerQtMultimedia"
        CATEGORY_NAME "org.kde.elisa.player.qtMultimedia"
        DEFAULT_SEVERITY Info
        )

    set(elisaLib_SOURCES
        ${elisaLib_SOURCES}
        audiowrapper_qtmultimedia.cpp
        )
endif()

if (WIN32)
    ecm_qt_declare_logging_category(elisaLib_SOURCES
        HEADER "windowsLogging.h"
        IDENTIFIER "orgKdeElisaWindows"
        CATEGORY_NAME "org.kde.elisa.windows"
        DEFAULT_SEVERITY Info
        )

    set(elisaLib_SOURCES
        ${elisaLib_SOURCES}
        windows/taskbarmanager.cpp
    )
    set(elisaLib_INCLUDEDIRS
        ${elisaLib_INCLUDEDIRS}
        ${CMAKE_CURRENT_SOURCE_DIR}/windows
    )
endif()

if (ANDROID)
    ecm_qt_declare_logging_category(elisaLib_SOURCES
        HEADER "android/androidcommon.h"
        IDENTIFIER "orgKdeElisaAndroid"
        CATEGORY_NAME "org.kde.elisa.android"
        DEFAULT_SEVERITY Info
        )

    set(elisaLib_SOURCES
        ${elisaLib_SOURCES}
        android/androidcoverimageprovider.cpp
        android/androidmusiclistener.cpp
        android/androidfilelisting.cpp
        android/androidplayer.cpp
        android/androidplayerjni.cpp
        )
    set(elisaLib_INCLUDEDIRS
        ${elisaLib_INCLUDEDIRS}
        ${CMAKE_CURRENT_SOURCE_DIR}/android
    )
endif()

if (KF6FileMetaData_FOUND)
    set(elisaLib_SOURCES
        ${elisaLib_SOURCES}
        embeddedcoverageimageprovider.cpp
    )
endif()

if (KF6KIO_FOUND)
    set(elisaLib_SOURCES
        ${elisaLib_SOURCES}
        models/filebrowsermodel.cpp
        models/filebrowserproxymodel.cpp
        )
endif()

if (Qt6DBus_FOUND)
    set(elisaLib_SOURCES
        ${elisaLib_SOURCES}
        mpris2/mpris2.cpp
        mpris2/mediaplayer2.cpp
        mpris2/mediaplayer2player.cpp
        )
    set(elisaLib_INCLUDEDIRS
        ${elisaLib_INCLUDEDIRS}
        ${CMAKE_CURRENT_SOURCE_DIR}/mpris2
    )
endif()

if (UPNPQT_FOUND)
    set(elisaLib_SOURCES
        ${elisaLib_SOURCES}
        upnp/upnpcontrolcontentdirectory.cpp
        upnp/upnpcontentdirectorymodel.cpp
        upnp/upnpcontrolconnectionmanager.cpp
        upnp/upnpcontrolmediaserver.cpp
        upnp/didlparser.cpp
        upnp/upnplistener.cpp
        upnp/upnpdiscoverallmusic.cpp
        )
    set(elisaLib_INCLUDEDIRS
        ${CMAKE_CURRENT_SOURCE_DIR}/upnp
    )
endif()

kconfig_add_kcfg_files(elisaLib_SOURCES ../src/elisa_settings.kcfgc GENERATE_MOC )
set(elisaLib_SOURCES
    ${elisaLib_SOURCES}
    ../src/elisa_core.kcfg
    )

add_library(elisaLib ${elisaLib_SOURCES})
target_link_libraries(elisaLib
    LINK_PUBLIC
    Qt::Multimedia Qt::Qml KF6::ConfigGui
    LINK_PRIVATE
    Qt::Core Qt::Quick Qt::Sql Qt::Widgets Qt::Concurrent
    KF6::I18n KF6::CoreAddons
    KF6::ConfigCore
    KF6::ColorScheme
    KF6::Codecs)

if (KF6FileMetaData_FOUND)
    target_link_libraries(elisaLib
        LINK_PRIVATE
        KF6::FileMetaData
        )
endif()

if (KF6KIO_FOUND)
    target_link_libraries(elisaLib
        LINK_PUBLIC
        KF6::KIOCore KF6::KIOFileWidgets KF6::KIOWidgets
        )
endif()

if (KF6XmlGui_FOUND)
    target_link_libraries(elisaLib
        LINK_PUBLIC
        KF6::XmlGui
        )
endif()

if (Qt6DBus_FOUND)
    target_link_libraries(elisaLib
        LINK_PUBLIC
        Qt::DBus
        )

    if (KF6DBusAddons_FOUND)
        target_link_libraries(elisaLib
            LINK_PUBLIC
            KF6::DBusAddons
            )
    endif()
endif()

if (LIBVLC_FOUND)
    target_include_directories(elisaLib
        PRIVATE
        ${LIBVLC_INCLUDE_DIR}
        )

    target_link_libraries(elisaLib
        LINK_PRIVATE
        ${LIBVLC_LIBRARY}
        )
endif()

if (ANDROID)
    target_link_libraries(elisaLib PRIVATE Qt6::CorePrivate Qt6::Quick jnigraphics)
endif()

generate_export_header(elisaLib BASE_NAME ElisaLib EXPORT_FILE_NAME elisaLib_export.h)

set_target_properties(elisaLib PROPERTIES
    VERSION 0.1
    SOVERSION 0
    EXPORT_NAME ElisaLib
    )

if (NOT APPLE AND NOT WIN32)
    install(TARGETS elisaLib
        LIBRARY DESTINATION ${KDE_INSTALL_FULL_LIBDIR}/elisa NAMELINK_SKIP
        RUNTIME DESTINATION ${KDE_INSTALL_FULL_LIBDIR}/elisa
        BUNDLE DESTINATION ${KDE_INSTALL_FULL_LIBDIR}/elisa
        )
else()
    install(TARGETS elisaLib ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
endif()

target_include_directories(elisaLib PRIVATE ${elisaLib_INCLUDEDIRS})

set_source_files_properties(windows/PlatformIntegration.qml PROPERTIES
    QT_RESOURCE_ALIAS qml/+windows/PlatformIntegration.qml
)

set_source_files_properties(android/PlatformIntegration.qml PROPERTIES
    QT_RESOURCE_ALIAS qml/+android/PlatformIntegration.qml
)

set_source_files_properties(qml/Theme.qml
    PROPERTIES QT_QML_SINGLETON_TYPE TRUE)

qt_policy(SET QTP0001 NEW)
qt_add_qml_module(elisaLib
    URI org.kde.elisa
    QML_FILES
        android/PlatformIntegration.qml

        windows/PlatformIntegration.qml

        qml/AbstractBrowserDelegate.qml
        qml/AbstractDataView.qml
        qml/AccessibleSlider.qml
        qml/ApplicationMenu.qml
        qml/Theme.qml
        qml/BasicPlayListAlbumHeader.qml
        qml/ButtonWithToolTip.qml
        qml/ConfigurationDialog.qml
        qml/ContentView.qml
        qml/ContextView.qml
        qml/DataGridView.qml
        qml/DataTrackView.qml
        qml/DurationSlider.qml
        qml/ElisaMainWindow.qml
        qml/FlatButtonWithToolTip.qml
        qml/FooterBar.qml
        qml/GridBrowserDelegate.qml
        qml/HeaderBar.qml
        qml/ImageWithFallback.qml
        qml/LabelWithToolTip.qml
        qml/ListBrowserDelegate.qml
        qml/MediaPlayerControl.qml
        qml/MediaPlayListView.qml
        qml/MediaTrackMetadataDelegate.qml
        qml/MediaTrackMetadataForm.qml
        qml/MediaTrackMetadataView.qml
        qml/NativeGlobalMenu.qml
        qml/NativeGlobalMenuPlaylistModeItem.qml
        qml/NativeGlobalMenuShuffleModeItem.qml
        qml/NativeMenuItemFromAction.qml
        qml/NativeTrayMenu.qml
        qml/NavigationActionBar.qml
        qml/PlatformIntegration.qml
        qml/PlayListEntry.qml
        qml/PlaylistModeItem.qml
        qml/RatingStar.qml
        qml/SettingsForm.qml
        qml/ShuffleModeItem.qml
        qml/SimplePlayListView.qml
        qml/SortMenu.qml
        qml/TrackBrowserDelegate.qml
        qml/TrackImportNotification.qml
        qml/TracksDiscHeader.qml
        qml/ViewSelector.qml
        qml/VolumeSlider.qml

        qml/mobile/MobileFooterBar.qml
        qml/mobile/MobileMediaTrackMetadataView.qml
        qml/mobile/MobileMinimizedPlayerControl.qml
        qml/mobile/MobilePlayListDelegate.qml
        qml/mobile/MobileSettingsPage.qml
        qml/mobile/MobileSidebar.qml
        qml/mobile/MobileTrackPlayer.qml
        qml/mobile/MobileVolumeButton.qml

        qml/shared/BasePlayerControl.qml
        qml/shared/BasePlayListDelegate.qml
    RESOURCES
        background.png
    OUTPUT_DIRECTORY
        ${CMAKE_BINARY_DIR}/src/org/kde/elisa
    )

if (Qt6Quick_FOUND AND Qt6Widgets_FOUND)

    set(elisa_SOURCES
        main.cpp
    )

    set(elisa_ICONS_PNG
        ../icons/128-apps-elisa.png
        ../icons/64-apps-elisa.png
        ../icons/48-apps-elisa.png
        ../icons/32-apps-elisa.png
        ../icons/22-apps-elisa.png
        ../icons/16-apps-elisa.png
        )

    # add icons to application sources, to have them bundled
    ecm_add_app_icon(elisa_SOURCES ICONS ${elisa_ICONS_PNG})

    add_executable(elisa ${elisa_SOURCES})

    target_include_directories(elisa PRIVATE ${KDSoap_INCLUDE_DIRS})

    target_link_libraries(elisa
        LINK_PRIVATE
        elisaLib
        Qt::Widgets Qt::QuickControls2
        KF6::I18n KF6::I18nQml KF6::CoreAddons KF6::ConfigCore KF6::ConfigGui
        KF6::IconThemes
        )

    if (ANDROID)
        target_link_libraries(elisa
            PRIVATE
            Qt::Svg Qt::Sql Qt::Concurrent KF6::Kirigami Qt6::CorePrivate
        )
    endif()

    if (KF6Crash_FOUND)
        target_link_libraries(elisa
            LINK_PRIVATE
            KF6::Crash
            )
    endif()

    if (NOT APPLE AND NOT WIN32)
        set_target_properties(elisa PROPERTIES
            INSTALL_RPATH "${KDE_INSTALL_FULL_LIBDIR}/elisa;${CMAKE_INSTALL_RPATH}"
            )
    endif()

## elisa 25.08.2+p24.04+vstable+git20251021.0324

=== debian/changelog ===
elisa (25.08.2+p24.04+vstable+git20251021.0324-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 03:24:17 +0000

=== debian/control ===
Source: elisa
Section: sound
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-baloo-dev,
               kf6-extra-cmake-modules,
               kf6-kcmutils-dev,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-kdeclarative-dev,
               kf6-kdoctools-dev,
               kf6-kdoctools-dev,
               kf6-kfilemetadata-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami2-dev,
               kf6-kxmlgui-dev,
               kf6-qqc2-desktop-style-dev,
               libvlc-dev,
               libvlccore-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-multimedia-dev,
               qt6-svg-dev,
               qt6-websockets-dev,
               xvfb
Standards-Version: 4.6.2
Homepage: https://cgit.kde.org/elisa.git
Vcs-Git: https://invent.kde.org/neon/extras/elisa.git
Vcs-Browser: https://invent.kde.org/neon/extras/elisa
Maintainer: Neon CI <neon@kde.org>

Package: elisa
Architecture: any
Depends: qml6-module-org-kde-kcm,
         qml6-module-qt-labs-platform,
         qml6-module-qtqml-models,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-dialogs,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends}
Description: A simple music player.
 Elisa is a simple music player aiming to provide a nice experience
 for its users.

## elisa 25.08.2+p24.04+vstable+git20251028.0304

=== debian/changelog ===
elisa (25.08.2+p24.04+vstable+git20251028.0304-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 03:04:02 +0000

## elisa 25.08.2+p24.04+vstable+git20251031.0952

=== debian/changelog ===
elisa (25.08.2+p24.04+vstable+git20251031.0952-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 09:52:31 +0000

## elisa 25.08.3

=== debian/changelog ===
elisa (25.08.3-0zneon+24.04+noble+release+build23) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 22:20:31 +0000

elisa (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:46:38 +1000

## elisa 25.12.0

=== debian/changelog ===
elisa (25.12.0-0zneon+24.04+noble+release+build24) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:44:28 +0000

elisa (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:43:11 +1000

## elisa 25.12.0+p24.04+vstable+git20260101.0019

=== debian/changelog ===
elisa (25.12.0+p24.04+vstable+git20260101.0019-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 01 Jan 2026 00:19:40 +0000

## elisa 25.12.0+p24.04+vstable+git20260103.0021

=== debian/changelog ===
elisa (25.12.0+p24.04+vstable+git20260103.0021-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 00:21:08 +0000

## elisa 25.12.0+p24.04+vstable+git20260104.0020

=== debian/changelog ===
elisa (25.12.0+p24.04+vstable+git20260104.0020-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 04 Jan 2026 00:20:55 +0000

## elisa 25.12.0+p24.04+vstable+git20260105.0839

=== debian/changelog ===
elisa (25.12.0+p24.04+vstable+git20260105.0839-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 08:39:50 +0000

## elisa 25.12.0+p24.04+vunstable+git20251208.2217

=== debian/changelog ===
elisa (25.12.0+p24.04+vunstable+git20251208.2217-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 22:17:41 +0000

## elisa 25.12.0+p24.04+vunstable+git20260104.0020

=== debian/changelog ===
elisa (25.12.0+p24.04+vunstable+git20260104.0020-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 04 Jan 2026 00:20:24 +0000

## elisa 25.12.1

=== debian/changelog ===
elisa (25.12.1-0zneon+24.04+noble+release+build26) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 00:46:07 +0000

elisa (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:34:51 +1000

## elisa 25.12.1+p24.04+vstable+git20260107.0224

=== debian/changelog ===
elisa (25.12.1+p24.04+vstable+git20260107.0224-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 02:24:11 +0000

## elisa 25.12.1+p24.04+vstable+git20260130.0846

=== debian/changelog ===
elisa (25.12.1+p24.04+vstable+git20260130.0846-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 08:46:20 +0000

## elisa 25.12.1+p24.04+vstable+git20260202.1057

=== debian/changelog ===
elisa (25.12.1+p24.04+vstable+git20260202.1057-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 02 Feb 2026 10:57:46 +0000

## elisa 25.12.2+p24.04+vstable+git20260216.0245

=== debian/changelog ===
elisa (25.12.2+p24.04+vstable+git20260216.0245-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 16 Feb 2026 02:45:25 +0000

elisa (25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 04:31:14 +0000

## elisa 25.12.2+p24.04+vstable+git20260219.0426

=== debian/changelog ===
elisa (25.12.2+p24.04+vstable+git20260219.0426-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 19 Feb 2026 04:26:32 +0000
